%global enable_tests 1
%global srcname oop

Name:           nodejs-%{srcname}
Version:        0.0.3
Release:        1%{?dist}
Summary:        Node.js module for simple & light-weight oop
License:        MIT
URL:            https://github.com/felixge/node-oop
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz
Source1:        https://raw.githubusercontent.com/felixge/node-oop/master/LICENSE

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules
cp -p %{SOURCE1} .

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}/lib
cp -pr lib/index.js lib/oop.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}/lib

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node test/integration/test-*.js
%endif

%files
%doc Readme.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Sat Oct 24 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.0.3-1
- Initial package
